Skip to main content
GET
/
api
/
v0
/
computers
/
name
/
{name}
Get a computer by name
curl --request GET \
  --url https://api.factory.ai/api/v0/computers/name/{name} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.factory.ai/api/v0/computers/name/{name}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.factory.ai/api/v0/computers/name/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "createdAt": 123,
  "hostId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "hostname": "<string>",
  "provisioningSteps": [
    {
      "id": "<string>",
      "name": "<string>",
      "status": "<string>",
      "error": "<string>",
      "startedAt": 123,
      "completedAt": 123,
      "installSessionId": "<string>"
    }
  ],
  "relayClientUrl": "<string>",
  "relayAgentUrl": "<string>",
  "remoteUser": "<string>"
}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}

Authorizations

Authorization
string
header
required

Factory API key or JWT token for authentication

Path Parameters

name
string
required

Computer name

Required string length: 1 - 63

Response

Response for status 200

id
string
required
name
string
required
providerType
enum<string>
required
Available options:
byom,
e2b
createdAt
number
required
hostId
string<uuid>
hostname
string
status
enum<string>
Available options:
provisioning,
active,
error
provisioningSteps
object[]
relayClientUrl
string<uri>
relayAgentUrl
string<uri>
remoteUser
string